<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://thymeleaf.org">

<head>
    <meta charset="utf-8">

    <title>Please sign in</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <link href="show_travel_agency_style _for_confirment.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Neucha" />
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <link href='https://fonts.googleapis.com/css?family=Inter' rel='stylesheet'>

</head>

<body class="main-body">

    <div id="for-all-elements" class="div-flex-column">
        <div>
            <h1 style="align-items: center;text-align: center;">text</h1>
        </div>
        <div id="all-div-and-other" class="div-flex-row">
            <form id="filter-form" class="filter-block div-flex-column">
                <h2><label for="filter-button-id">ШУКАТИ ЗА</label></h2>

                <input type="text" class="filter-input-box" name="nameTravelAgency" placeholder="Назвою тур агенції">
                <input type="text" list="countries" class="filter-input-box" name="nameCountry"
                    placeholder="Назвою країни">
                <input type="text" class="filter-input-box" name="nameCity" placeholder="Назвою міста">
                <input type="text" class="filter-input-box" name="namePlace" placeholder="Назвою місця">

                <datalist id="countries">
                    <option value="1"></option>
                </datalist>

                <div class="div-flex-column">
                    <label class="label-for-between">Ціною</label>
                    <div>
                        <input type="number" class="filter-input-between-box" name="costOneCustomerStart">
                        <input type="number" class="filter-input-between-box" name="costOneCustomerEnd">
                    </div>
                </div>
                <div class="div-flex-column">
                    <label class="label-for-between">Відсотком знижки</label>
                    <div>
                        <input type="text" class="filter-input-between-box" name="discountPercentageStart">
                        <input type="text" class="filter-input-between-box" name="discountPercentageEnd">
                    </div>
                </div>

                <div class="div-flex-column">
                    <label class="label-for-between">Датою оформлення</label>
                    <div>
                        <input type="datetime-local" class="filter-input-between-box" name="startDateRegistration">
                        <input type="datetime-local" class="filter-input-between-box" name="endDateRegistration">
                    </div>
                </div>
                <div class="div-flex-column">
                    <label class="label-for-between">Датою роботи</label>
                    <div>
                        <input type="date" class="filter-input-between-box" name="startDate">
                        <input type="date" class="filter-input-between-box" name="endDate">
                    </div>
                </div>
                <div class="div-flex-column">
                    <label class="label-for-between">Кількістю осіб для максимальної знижки</label>
                    <div class="div-flex-row">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <input type="text" class="filter-input-between-box" name="discountSizePeopleStart">
                        <input type="text" class="filter-input-between-box" name="discountSizePeopleEnd">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    </div>
                </div>
                <input id="filter-button-id" type="button" class="filter-button" onclick="testForms()" name="null"
                    value="Шукати">
            </form>
            <div id="box-for-all-trour-ads-and-sort" class="div-flex-column-base">
                <div class="sort-block div-flex-row" style="align-items:center;">
                    <button id="sort-lower" class="button-sort-off">Від більшого до меншого</button>
                    <select name="" id="selectSort" class="select-sort" onclick="changeOption()">
                        <option disabled>Сортувати по:</option>
                        <option id="sortByDateRegistration">Даті оформлення</option>
                        <option id="sortByNameTravelAgency">Назві турагенції</option>
                        <option id="sortByRatingOfTravelAgency">Рейтину турагенції</option>
                        <option id="sortByDateStart">Даті початку туру</option>
                        <option id="sortByDateEnd">Даті закінчення туру</option>
                        <option id="sortByTourAdForCustomerCost">Ціні</option>
                        <option id="sortByDiscountPercentage">Знижці</option>
                        <option id="sortByDiscountSizePeople">Oсіб для знижки</option>
                        <option id="sortByCountry">Країні</option>
                        <option id="sortByCity">Місту</option>
                        <option id="sortByPlace">Назві місця</option>
                    </select>
                    <button id="sort-great" class="button-sort-off button-sort-on-color">Від меншого до
                        більшого</button>
                </div>

                <div class="tour-ads-container" id="tour-ads-container-list">

                    <div class="tour-ad-block div-flex-row">
                        <div id="name-and-date-work-and-place-and-country-and-city" class="div-flex-column-base"
                            style="height: 160px; ">

                            <p class="travel-agency-name-box item_name-travel-agency">Назва default</p>
                            <div class="div-flex-row-between">
                                <div class="date-work-and-country-and-city color-box-tour-ad">
                                    <p class="no_marging">з default по default</p>
                                    <p class="no_marging">default, default</p>
                                    <p id="startDateP" class="hidden-p item_date-start">default</p>
                                    <p id="endDateP" class="hidden-p item_date-end">default</p>
                                    <p id="countryNameP" class="hidden-p item_name-country">default</p>
                                    <p id="cityNameP" class="hidden-p item_name-city">default</p>
                                </div>
                                <div class="date-made-style color-box-tour-ad ">
                                    <p class="no_marging item_name-place number-of-people" style="padding-left: 5px;">
                                        Кількість осіб для
                                        максимальної
                                        знижки <strong>default</strong></p>
                                    <p id="discountSizePeopleP" class="hidden-p text-discount-size-people">default</p>
                                </div>
                            </div>

                        </div>

                        <div id="rating-and-number-of-people" class="div-flex-column-base">
                            <div class="tour-ad-box color-box-tour-ad">
                                <p class="no_marging item_name-place">Місце перебування : <strong>default</strong></p>


                            </div>
                            <p id="ratingValueP" class="hidden-p item_rating-travel-agency">default</p>
                            <div class="div-flex-column stars-style">
                                ⭐⭐

                            </div>
                        </div>

                        <div id="discount-and-date-made" class="div-flex-column-base">
                            <div class="tour-ad-box color-box-tour-ad" style="align-items: center;">
                                <p class="no_marging">Відсоткова знижка <strong>default</strong>%</p>
                                <p id="discountPercentageP" class="hidden-p item_discount-percentage">default</p>
                            </div>
                            <div style="height: 18px;"></div>
                            <div class="date-made-style tour-ad-box color-box-tour-ad">
                                <h6 class="no_marging name-top">Дата утворення</h6>
                                <p class="no_marging name-bottom item_date-new">default</p>

                            </div>
                        </div>

                        <div id="cost-one-customer" class="div-flex-column-base cost-block color-box-tour-ad">
                            <h5>Ціна за 1 людину</h5>
                            <p class="item_cost-for-customer">default</p>
                        </div>

                        <div id="made-and-set-reting" class="div-flex-column-base">
                            <a href="" class="made-order made-buttom">Оформити</a>
                            <a href="" class="made-rating made-buttom">Оцінити</a>
                        </div>
                    </div>

                </div>


            </div>
        </div>
    </div>

    <script src="js/sort_functions.js"></script>
    <script src="js/setting_sort_for_tour_ads.js"></script>
    <script src="js/json_worker.js"></script>
    <script src="js/worker_with_countries.js"></script>
    <script>
        setElementsForSortSort(getMethodBySelectedName, changeOption, ".tour-ad-block", "button-sort-on-color", document.getElementById('sort-lower'), document.getElementById('sort-great'), document.querySelector('#selectSort'));

        async function clickmna() {
            TOUR_ADS_CONTAINER_LIST.innerHTML = await getTourAdDivs(TOUR_ADS_LIST = await getTourAdsRequest(URL_FOR_GET_TOUR_ADS));
        }
        setCountries(URL_FOR_GET_COUNTRY_NAMES, "countries");
        clickmna();

        async function testForms() {
            const params = new Array();

            for (const iterator of document.forms["filter-form"]) {
                if (iterator.name != "null") {
                    params.push(iterator.name + "=" + iterator.value)
                }


            }
            console.log(params.join("&"));
            async function getUrl() {
                return URL_FOR_GET_TOUR_ADS + "?" + params.join("&");
            }
            TOUR_ADS_CONTAINER_LIST.innerHTML = await getTourAdDivs(TOUR_ADS_LIST = await getTourAdsRequest(await getUrl()));
        }

    </script>


</body>

</html>